<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Spike Notificação</title>

    <link
      href="https://fonts.googleapis.com/css?family=Open+Sans&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" type="text/css" href="./style.css" />
  </head>
  <body>
    <!-- 
      CONST INITIAL TITLE
     -->
    <script>
      const initTitle = document.title;
    </script>

    <div class="container">
      <h1>Spike Notificação CRM</h1>
      <div class="subTitle">
        <h3>
          Nesta página trouxemos exemplos de como podemos notificar o usuário.</br>
          Todos os exemplos a seguir foram desenvolvidos com javascript nativo
          (Vanilla).</br>
          Desta maneira não é especifico de um framework sendo
          possivel ser aplicado em qualquer framework front-end.
        </h3>
      </div>

      <div class="qtdNotify">
        <div>
          <label for="qtdNew">Quantidade de notificações:</label>
          <input
            id="qtdNew"
            type="number"
            maxlength="2"
            max="99"
            min="0"
            onblur="validateInput(this)"
          />
        </div>
        <small>Para reproduzir o caso de 99+, deixar em branco ou 0.</small>
      </div>
      <div class="paper">
        <h2>Quantidade de novas notificações no título da página.</h2>

        <div class="paperAction">
          <button onclick="staticNumber()">Testar número estático</button>
          <button onclick="blinkNumber()">
            Testar número intermitente (Piscando/Blink)
          </button>
          <button onclick="resetCounter()">Resetar contador</button>
        </div>
        <div class="paperAction">
          <ul>
            <li><span class="ok">Windows</span></li>
            <ul>
              <li><span class="ok">Chrome</span></li>
              <li><span class="ok">Edge</span></li>
              <li><span class="ok">Firefox</span></li>
            </ul>
          </ul>
          <ul>
            <li><span class="ok">Ubuntu</span></li>
            <ul>
              <li><span class="ok">Chrome</span></li>
              <li><span class="ok">Firefox</span></li>
            </ul>
          </ul>
          <ul>
            <li><span class="ok">MacOs</span></li>
            <ul>
              <li><span class="ok">Safari</span></li>
            </ul>
          </ul>
          <ul>
            <li><span class="ok">Android</span></li>
            <ul>
              <li><span class="ok">Chrome</span></li>
              <li><span class="ok">Samsung web Browser</span></li>
            </ul>
          </ul>
          <ul>
            <li><span class="ok">iOS</span></li>
            <ul>
              <li><span class="ok">Safari</span></li>
              <li><span class="ok">Chrome</span></li>
            </ul>
          </ul>
        </div>
      </div>
      <div class="paper">
        <h2>Notificação push navegador.</h2>

        <div class="paperAction">
          <button onclick="simpleTextNotify()">Texto Simples</button>
          <button onclick="simpleTextNotifyTimer()">
            Texto Simples com timer 2 segundos
          </button>
          <button onclick="textIconNotify()">Notificação com icone</button>
          <button onclick="TIBNotify()">
            Notificação com icone e badge (mobile)
          </button>
        </div>

        <div class="paperAction">
          <ul>
            <li><span class="ok">Windows</span></li>
            <ul>
              <li><span class="ok">Chrome</span></li>
              <li><span class="ok">Edge</span></li>
              <li><span class="ok">Firefox</span></li>
            </ul>
          </ul>
          <ul>
            <li><span class="ok">Ubuntu</span></li>
            <ul>
              <li><span class="ok">Chrome</span></li>
              <li><span class="ok">Firefox</span></li>
            </ul>
          </ul>
          <ul>
            <li><span class="ok">MacOs</span></li>
            <ul>
              <li><span class="ok">Safari</span></li>
            </ul>
          </ul>
          <ul>
            <li><span class="warn">Android</span></li>
            <ul>
              <li><span class="ok">Chrome</span></li>
              <li><span class="warn">Samsung web Browser (Sem badge)</span></li>
            </ul>
          </ul>
          <ul>
            <li><span class="err">iOS</span></li>
            <ul>
              <li><span class="err">Safari</span></li>
              <li><span class="err">Chrome</span></li>
            </ul>
          </ul>
        </div>
      </div>
    </div>
    <!-- 
      IMPORT FUNCTIONS
     -->
    <script src="./number.js"></script>
    <script src="./toast.js"></script>
    <!-- 
      INPUT QUANTIDADE DE NOTIFICAÇÕES
     -->
    <script>
      const validateInput = input => {
        const { value } = input;
        if (value > 99) input.value = 99;
        if (value < 0) input.value = 0;
      };
      const getNotify = () => {
        if (document.getElementById("qtdNew").value === 0) return "99+";
        if (document.getElementById("qtdNew").value === "") return "99+";
        return document.getElementById("qtdNew").value;
      };
    </script>
    <!-- 
      ACTIONS
     -->
    <script>
      const staticNumber = () => staticTitleNumber(getNotify());
      const resetCounter = () => resetNumber(initTitle);
      const blinkNumber = () => blinkEffectTitle(getNotify());
      const simpleTextNotify = () => simpleNotify(getNotify());
      const simpleTextNotifyTimer = () => simpleNotify(getNotify(), 2000);
      const textIconNotify = () => icoNotify(getNotify());
      const TIBNotify = () => IBNotify(getNotify());
    </script>
  </body>
</html>
